import { Mask } from '../../modules/mask.js';
import { RawText } from '../../modules/rawtext.js';
import { commandList } from '../command_list.js';
import { getBrushTier } from './brushes.js';
const registerInformation = {
    cancelMessage: true,
    name: 'tracemask',
    description: 'Set what blocks a brush can pass through',
    usages: [
        '<tier: 1..6> [mask: Mask]'
    ]
};
commandList['tracemask'] = [registerInformation, (session, builder, args) => {
        const brush = getBrushTier(args);
        if (!session.hasTool(brush)) {
            throw RawText.translate('worldedit.wand.brush.no-bind');
        }
        const mask = args.shift() ?? '';
        session.setToolProperty(brush, 'traceMask', mask.length ? Mask.parseArg(mask) : null);
        return RawText.translate('worldedit.wand.generic.info');
    }];
